### Method

# Gtk FileChooser get_choice

deprecated: 4.10

#### Declaration [src]

    const char*
    gtk_file_chooser_get_choice (
      GtkFileChooser* chooser,
      const char* id
    )

#### Description [src]

Gets the currently selected option in the ‘choice’ with the given ID.

Deprecated since: 4.10

Use `GtkFileDialog` instead.

#### Parameters

`id`

  Type: `const char*`

  The ID of the choice to get.

  The data is owned by the caller of the method.
  The value is a NUL terminated UTF-8 string.

#### Return value

Type: `const char*`

The ID of the currently selected option.

The returned data is owned by the instance.
The return value can be `NULL`.
The value is a NUL terminated UTF-8 string.